ApiMetricData (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiMetricData

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiMetricData

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiMetricData
      extends Object

  A single data point of metric data.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiMetricData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getTimestamp()` When the metric reading was collected.
    `BigDecimal` | `getValue()` The value of the metric.
    `int` | `hashCode()`
    `void` | `setTimestamp(String timestamp)`
    `void` | `setValue(BigDecimal value)`
    `ApiMetricData` | `timestamp(String timestamp)`
    `String` | `toString()`
    `ApiMetricData` | `value(BigDecimal value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiMetricData

          public ApiMetricData()

  - ### Method Detail

    - #### timestamp

          public ApiMetricData timestamp(String timestamp)

    - #### getTimestamp

          public String getTimestamp()

      When the metric reading was collected.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(String timestamp)

    - #### value

          public ApiMetricData value(BigDecimal value)

    - #### getValue

          public BigDecimal getValue()

      The value of the metric.
      Returns:
        value

    - #### setValue

          public void setValue(BigDecimal value)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.